package ca.datasports.ws.wslistenerclient;

import java.net.InetAddress;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.UnknownHostException;

import javax.xml.namespace.QName;

import ca.datasports.sb.webservicelistener.*;

public class WsListenerClient {

	private static ServiceImplementation svc;
	private static String _baseUri = ":8080/WebServiceListener";
	
	public static void main(String[] args) throws UnknownHostException {
		URL url;
		try {
			url = new URL("http://" + InetAddress.getLocalHost().getHostName() + _baseUri + "?wsdl");
			QName qname = new QName("http://webservicelistener.sb.datasports.ca/", "ServiceImplementationService");
			svc = new ServiceImplementationService(url, qname).getServiceImplementationPort();

			for (int i=0; i<10; i++) {
				setValue("KEY" + i, String.valueOf(i*i));
				newMessage(i != 7 
						? ("This is message # " + i + ", I hope you like it.")
						: ("failure"));
			}

		} catch (MalformedURLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
	
	private static void setValue(String key, String value) {
		System.out.println("Calling setValue(" + key + ", " + value + ")");
		System.out.println("returned: " + svc.setValue(key, value));
	}
	
	private static void newMessage(String newMessage) {
		System.out.println("Calling newMessage(" + newMessage + ")");
		System.out.println("returned: " + svc.newMessage(newMessage));
	}

}
