package ca.datasports.sb.webservicelistener;

/**
 * This interface is to be implemented by a class which will implement the methods exposed
 * on the WebService.  The reason we use the wrapper class to expose the remote-callable methods
 * and relay them to the parent class through this interface is to provide some abstraction,
 * as well as to encapsulate all of the management of the WebService-specific logic in its
 * own class.
 * 
 * @author Phil Martin, <a href="mailto:phil.martin@datasports.ca">phil.martin@datasports.ca</a>.
 * @see ServiceImplementation
 * @see WebServiceListener
 */
public interface IServiceListener {
	public boolean NewMessage(String newMessage) throws Exception;
	public boolean SetValue(String key, String value) throws Exception;
}
