package ca.datasports.sb.webservicelistener;

import java.beans.*;
import com.streambase.sb.operator.parameter.*;

/**
 * A BeanInfo class controls what properties are exposed, add 
 * metadata about properties (such as which properties are optional), and access 
 * special types of properties that can't be automatically derived via reflection. 
 * If a BeanInfo class is present, only the properties explicitly declared in
 * this class will be exposed by StreamBase.
 */
public class WebServiceListenerBeanInfo extends SimpleBeanInfo {

	/*
	 * The order of properties below determines the order they are displayed within
	 * the StreamBase Studio property view. 
	 */
	public PropertyDescriptor[] getPropertyDescriptors() {
		try {
			PropertyDescriptor[] p = {
					new SBPropertyDescriptor("ControlPort",
							WebServiceListener.class).displayName("Use Control Port")
							.description("If set, include an input port to control the adapter's operation")
							.optional(),
					new SBPropertyDescriptor("Enabled",
							WebServiceListener.class).displayName("Enabled")
							.description("If set, adapter starts processing on initialization")
							.optional(),
					new SBPropertyDescriptor("BaseUri",
							WebServiceListener.class)
							.displayName(
									"Base URI")
							.description("will be prepended with machine name - must begin with :<port #> or /")
							.optional(),
					};

			return p;
		} catch (IntrospectionException e) {
			System.err.println("Failed to create property descriptors");
			e.printStackTrace();
			return null;
		}
	}

}
